ISC BIND 9.x < 9.9.8-P2 / 9.9.8-S3 / 9.9.9-S3 / 9.10.3-P2 DoS

medium Nessus Network Monitor Plugin ID 9867
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote DNS server may be affected by a Denial of Service (DoS) attack vector.

Description

Versions of ISC BIND prior to 9.9.8-P2, 9.9.8-S3, 9.9.9-S3 and 9.10.3-P2 are unpatched for a flaw in 'db.c' that is triggered when responses with incorrect class attributes are incorrectly parsed. This may potentially allow a remote attacker to trigger a REQUIRE assertion failure and cause a denial of service.

Solution

Upgrade ISC BIND to version 9.10.3-P2 or later. If version 9.10.x cannot be obtained, versions 9.9.9-S3, 9.10.2-P4, 9.9.8-S3, and 9.9.8-P2 are also patched for this vulnerability.

See Also

https://kb.isc.org/article/AA-01398

https://kb.isc.org/article/AA-01345/81/BIND-9.9.8-S4-Release-Notes.html

https://kb.isc.org/article/AA-01317/74/CVE-2015-8000%3A-Responses-with-a-malformed-class-attribute-can-trigger-an-assertion-failure-in-db.c.html

Plugin Details

Severity: Medium

ID: 9867

Family: DNS Servers

Published: 1/19/2017

Updated: 3/6/2019

Dependencies: 1003

Nessus ID: 87502

Risk Information

CVSS v2

Risk Factor: High

Base Score: 7.1

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 5.9

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:X/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:a:isc:bind:*:*:*:*:*:*:*:*

Patch Publication Date: 12/15/2015

Vulnerability Publication Date: 12/15/2015

Reference Information

CVE: CVE-2015-8000

BID: 79349